import java.util.List;

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

@Stateless
public class EmployeeBean implements EmployeeServiceLocal, EmployeeServiceRemote {
  @PersistenceContext(unitName="EmployeeService") private EntityManager manager;
  public void doAction(){
    Customer cust = new Customer();

    cust.setLastName("Bond");
    cust.setSsn(123456789L);
    manager.persist(cust);
    
    System.out.println("Saved");
    
    List<Customer> list =  manager.createQuery("FROM Customer res").getResultList();
    
    System.out.println(list.size());
  }
}
